// ===================================================
// Glass shader from Pulse beta3 by Soubok
// ===================================================

textures/slimepunk/glassroof
{
	qer_editorimage textures/slimepunk/plexiglass.jpg
	qer_trans .5
	
	surfaceparm trans
//	surfaceparm lightfilter
	cull none

	{
		map $lightmap
		tcGen lightmap 
		blendFunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map textures/slimepunk/plexiglass.jpg
		tcGen environment
		blendFunc add
		tcmod scale 1 1
		rgbGen const ( 0.05 0.05 0.05 )
	}
}

// =====================================================================
// Black! Black! Black like the bowels of doom! Where they will lock me
// away and feed me pins! Pins! PINS!
// =====================================================================

textures/slimepunk/black_noimpact
{
	qer_editorimage		textures/slimepunk/black.tga

	surfaceparm		nomarks
	surfaceparm		noimpact

	{
		map		textures/slimepunk/black.tga
	}
}


// Green fog volumes.
textures/slimepunk/greenfog
{
	qer_editorimage textures/slimepunk/fog_green.tga
	qer_trans	0.5
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.7 1.0 0.7 ) 1400
}


// =================================
// Blue dual girder light
// =================================
textures/slimepunk/032lig11ba_2k_s
{
	qer_editorimage textures/tech1soc_sfx/032lig11ba.tga
	// q3map_lightimage textures/tech1soc_sfx/032lig11b.blend.tga
	q3map_lightRGB	0.5 0.6 1.0
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/tech1soc_sfx/032lig11ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tech1soc_sfx/032lig11b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

// =================================
// Blue girder light
// =================================
textures/slimepunk/032lig10ba_2k5k_s
{
	qer_editorimage		textures/tech1soc_sfx/032lig10ba.tga


	q3map_surfacelight	2500
	q3map_lightRGB		0.5 0.6 1.0
	
	{
		map 		textures/tech1soc_sfx/032lig10ba.tga
	}	
	{
		map		$lightmap
		blendfunc	filter
	}
	{
		map		textures/tech1soc_sfx/032lig10b.blend.tga
		blendfunc	add
	}
}

// =================================
// Blue wall trim light
// =================================
textures/slimepunk/zdetlig04ba_2k_s
{
	qer_editorimage		textures/tech1soc_sfx/zdetlig04ba.tga


	q3map_surfacelight	2000
	q3map_lightRGB		0.5 0.6 1.0
	
	{
		map 		textures/tech1soc_sfx/zdetlig04ba.tga
	}	
	{
		map		$lightmap
		blendfunc	filter
	}
	{
		map		textures/tech1soc_sfx/zdetlig04b.blend.tga
		blendfunc	add
	}
}

textures/slimepunk/zdetlig04ba_5k_s
{
	qer_editorimage		textures/tech1soc_sfx/zdetlig04ba.tga


	q3map_surfacelight	5000
	q3map_lightRGB		0.5 0.6 1.0
	
	{
		map 		textures/tech1soc_sfx/zdetlig04ba.tga
	}	
	{
		map		$lightmap
		blendfunc	filter
	}
	{
		map		textures/tech1soc_sfx/zdetlig04b.blend.tga
		blendfunc	add
	}
}


// =================================
// Red girder light
// =================================
textures/slimepunk/032lig10ra_2k5k_s
{
	qer_editorimage		textures/tech1soc_sfx/032lig10ra.tga


	q3map_surfacelight	2500
	q3map_lightRGB		1.0 0.4 0.4
	
	{
		map 		textures/tech1soc_sfx/032lig10ra.tga
	}	
	{
		map		$lightmap
		blendfunc	filter
	}
	{
		map		textures/tech1soc_sfx/032lig10r.blend.tga
		blendfunc	add
	}
}

// =================================
// Off-white cross light
// =================================
textures/slimepunk/octlig01wc_1k5k_s
{
	qer_editorimage		textures/tech1soc_sfx/octlig01wc.tga

	q3map_surfacelight	1500
	q3map_lightRGB		1.0 1.0 0.8

	{
		map 		textures/tech1soc_sfx/octlig01wc.tga
	}	
	{
		map		$lightmap
		blendfunc	filter
	}
	{
		map		textures/tech1soc_sfx/sqrlig02w2.blend.tga
		blendfunc	add
	}
}

// =================================
// Off-white square light
// =================================
textures/slimepunk/sqrlig02wa_5k_s
{
	qer_editorimage		textures/tech1soc_sfx/sqrlig02wa.tga

	q3map_surfacelight	5000
	q3map_lightRGB		1.0 1.0 0.8

	{
		map 		textures/tech1soc_sfx/sqrlig02wa.tga
	}	
	{
		map		$lightmap
		blendfunc	filter
	}
	{
		map		textures/tech1soc_sfx/sqrlig02w2.blend.tga
		blendfunc	add
	}
}

// =================================
// Blue square light
// =================================
textures/slimepunk/sqrlig03ba_5k_s
{
	qer_editorimage		textures/tech1soc_sfx/sqrlig03ba.tga

	q3map_surfacelight	5000
	q3map_lightRGB		0.5 0.7 1.0

	{
		map 		textures/tech1soc_sfx/sqrlig03ba.tga
	}	
	{
		map		$lightmap
		blendfunc	filter
	}
	{
		map		textures/tech1soc_sfx/sqrlig03b.blend.tga
		blendfunc	add
	}
}

textures/slimepunk/sqrlig03ba_10k_s
{
	qer_editorimage		textures/tech1soc_sfx/sqrlig03ba.tga

	q3map_surfacelight	10000
	q3map_lightRGB		0.5 0.7 1.0

	{
		map 		textures/tech1soc_sfx/sqrlig03ba.tga
	}	
	{
		map		$lightmap
		blendfunc	filter
	}
	{
		map		textures/tech1soc_sfx/sqrlig03b.blend.tga
		blendfunc	add
	}
}


// =================================
// Off-white skirting light
// =================================
textures/slimepunk/zdetlig04wa_1k5_s
{
	qer_editorimage		textures/tech1soc_sfx/zdetlig04wa.tga

	q3map_surfacelight	1500
	q3map_lightRGB		1.0 1.0 0.8

	{
		map 		textures/tech1soc_sfx/zdetlig04wa.tga
	}	
	{
		map		$lightmap
		blendfunc	filter
	}
	{
		map		textures/tech1soc_sfx/zdetlig04w.blend.tga
		blendfunc	add
	}
}


// =================================
// Off-white skirting light
// =================================
textures/slimepunk/032lig12wa_1k5_s
{
	qer_editorimage		textures/tech1soc_sfx/032lig12wa.tga

	q3map_surfacelight	1500
	q3map_lightRGB		1.0 1.0 0.8

	{
		map 		textures/tech1soc_sfx/032lig12wa.tga
	}	
	{
		map		$lightmap
		blendfunc	filter
	}
	{
		map		textures/tech1soc_sfx/032lig12w.blend.tga
		blendfunc	add
	}
}

// =================================
// Slime, no vertex deform.
// =================================
textures/slimepunk/slime_novdef
	{
		qer_editorimage textures/nexus6/slime7.tga
		q3map_lightimage textures/nexus6/slime7.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans

		q3map_surfacelight 100
		cull disable

		{
			map textures/nexus6/slime7c.tga
			rgbGen const ( 0.5 0.5 0.5 )
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/nexus6/slime7.tga
			rgbGen const ( 0.75 0.75 0.75 )
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

// Slime, polygonoffset.
textures/slimepunk/slime_po
	{
		qer_editorimage textures/nexus6/slime7.tga
		q3map_lightimage textures/nexus6/slime7.tga
		q3map_globaltexture

		polygonoffset

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans

		q3map_surfacelight 100
		cull disable

		{
			map textures/nexus6/slime7c.tga
			rgbGen const ( 0.5 0.5 0.5 )
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
		{
			map textures/nexus6/slime7.tga
			rgbGen const ( 0.75 0.75 0.75 )
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

textures/slimepunk/slime_tubes
	{
		qer_editorimage textures/nexus6/slime7.tga
		q3map_lightimage textures/nexus6/slime7.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans

		q3map_surfacelight 100

		{
			map textures/nexus6/slime7c.tga
			rgbGen const ( 0.75 0.75 0.75 )
			blendfunc add
			tcMod scroll 0.2 0.1
		}
	
		{
			map textures/nexus6/slime7.tga
			rgbGen const ( 0.5 0.5 0.5 )
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}
}



// =======================================
// Slime, no vertex deform, scrolling down
// =======================================
textures/slimepunk/slime_flow_down
	{
		qer_editorimage textures/nexus6/slime7.tga
		q3map_lightimage textures/nexus6/slime7.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans

		q3map_surfacelight 100
		cull disable

		{
			map textures/nexus6/slime7c.tga
			rgbGen const ( 0.75 0.75 0.75 )
			blendfunc add
			tcMod scroll 0.1 -0.3
		}
	
		{
			map textures/nexus6/slime7.tga
			rgbGen const ( 0.5 0.5 0.5 )
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}
}

textures/slimepunk/slime_flow_up
	{
		qer_editorimage textures/nexus6/slime7.tga
		q3map_lightimage textures/nexus6/slime7.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans

		q3map_surfacelight 100
		cull disable

		{
			map textures/nexus6/slime7c.tga
			rgbGen const ( 0.75 0.75 0.75 )
			blendfunc add
			tcMod scroll -0.1 0.3
		}
	
		{
			map textures/nexus6/slime7.tga
			rgbGen const ( 0.5 0.5 0.5 )
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}
}

// ==========================================
// Slime, nodraw. For enclosed slime volumes.
// ==========================================

textures/slimepunk/slime_nodraw_s
{
	qer_editorimage textures/slimepunk/slime-nodraw.tga
	qer_trans   0.5
	surfaceparm noimpact
	surfaceparm slime

	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

// ==========================================
// Scroll up, for patchwork drive belts
// ==========================================
textures/slimepunk/matbrown_drk1_2up_s
{
	surfaceparm	nonsolid
	qer_editorimage textures/tech1soc_mat/matbrown_drk1.tga


	{
		map		textures/tech1soc_mat/matbrown_drk1.tga
		tcMod		scroll	0	2
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}

textures/slimepunk/matbrown_drk1_3up_s
{
	surfaceparm	nonsolid
	qer_editorimage textures/tech1soc_mat/matbrown_drk1.tga


	{
		map		textures/tech1soc_mat/matbrown_drk1.tga
		tcMod		scroll	0	3
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}


// ==========================================
// Scroll down, for patchwork drive belts
// ==========================================
textures/slimepunk/matbrown_drk1_2down_s
{
	surfaceparm	nonsolid
	qer_editorimage textures/tech1soc_mat/matbrown_drk1.tga


	{
		map		textures/tech1soc_mat/matbrown_drk1.tga
		tcMod		scroll	0	-2
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}

textures/slimepunk/matbrown_drk1_3down_s
{
	surfaceparm	nonsolid
	qer_editorimage textures/tech1soc_mat/matbrown_drk1.tga


	{
		map		textures/tech1soc_mat/matbrown_drk1.tga
		tcMod		scroll	0	-3
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}



// ================================================================
// Rapid-moving fire for boiler fireboxes.
// ================================================================

textures/slimepunk/boilerfire01_s
{
	qer_editorimage 	textures/slimepunk/lava_02.tga

	q3map_lightimage	textures/slimepunk/lava_02.tga
	q3map_surfacelight	2000

	{
		map		textures/slimepunk/lava_02.tga
		tcmod		scroll	-30	50
		blendfunc	blend
	}
	{	map		textures/slimepunk/lava_02.tga
		tcmod		scroll	50	-30
		blendfunc	blend
	}

}

// ================================================================
// Grate 1b with hol3z0rz.
// ================================================================

textures/slimepunk/grate1b_s
{
	qer_editorimage textures/tech1soc_floor/grate1b.tga

	surfaceparm	alphashadow

	cull disable
	{
		map textures/tech1soc_floor/grate1b.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// ================================================================
// Scrolling textures for steam engine flywheel.
// Func_rotating looks awful for large cylinders.
// ================================================================

textures/slimepunk/032-10a_scroll_s
{
	surfaceparm	nonsolid
	qer_editorimage textures/tech1soc_trim/032-10a.tga

	{
		map textures/tech1soc_trim/032-10a.tga
		rgbGen identity
		tcMod scroll	5	0
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/slimepunk/064-11a_scroll_s
{
	surfaceparm	nonsolid
	qer_editorimage textures/tech1soc_trim/064-11a.tga

	{
		map textures/tech1soc_trim/064-11a.tga
		rgbGen identity
		tcMod scroll	5	0
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/slimepunk/e6dmetal_scroll_s
{
	surfaceparm	nonsolid
	qer_editorimage textures/evil6_bmtls/e6dmetal.jpg

	{
		map textures/evil6_bmtls/e6dmetal.jpg
		rgbGen identity
		tcMod scroll	5	0
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


// ==============================================================
// Double sided patches for cross-head cowling
// ==============================================================

textures/slimepunk/tech1soc_mat5a_ds
{
	qer_editorimage	textures/tech1soc_mat/mat5a.tga

	q3map_backShader	textures/slimepunk/tech1soc_mat5a_back

	{
		map		textures/tech1soc_mat/mat5a.tga
		rgbGen		identity
	}
	{
		map		$lightmap
		blendfunc	filter
		rgbGen		identity
		tcGen		lightmap
		depthfunc	equal
	}
}

textures/slimepunk/tech1soc_mat5a_back
{
	{
		map		textures/tech1soc_mat/mat5a.tga
		rgbGen		identity
		depthWrite
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}

// ================================
// e6 textures.
// ================================
textures/slimepunk/e6grtflr2bl_s
{
	qer_editorimage		textures/evil6_floors/e6grtflr2bl.tga

	surfaceparm		alphashadow

	cull disable
	{
		map textures/evil6_floors/e6grtflr2bl.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/slimepunk/e6drstmetal_nonsolid
{
	qer_editorimage		textures/evil6_bmtls/e6drstmetal.jpg

	surfaceparm nonsolid

	{
		map		textures/evil6_bmtls/e6drstmetal.jpg
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}

textures/slimepunk/e6strimlight_10k_s
{
	qer_editorimage		textures/evil6_trims/e6strimlight.tga

	q3map_surfacelight	10000
	q3map_lightimage	textures/evil6_trims/e6strimlight.tga

	{
		map		textures/evil6_trims/e6strimlight.tga
	}
	//{
	//	map		$lightmap
	//	blendfunc	filter
	//}
	{
		map		textures/evil6_trims/e6strimlight_blend.tga
		blendfunc	add
	}
}


textures/slimepunk/cl_32_red_15k_nonsolid
{
	qer_editorimage		textures/atcs/cubelight_32_red

	surfaceparm nonsolid

	q3map_surfacelight	15000
	q3map_lightRGB		1.0	0.2	0.1

	{
		map		textures/atcs/cubelight_32_red.jpg
	}
	{
		map		$lightmap
		blendfunc	filter
	}
	{
		map		textures/atcs/cubelight_32_red.blend.tga
		blendfunc	add
	}
}

textures/slimepunk/cl_32_white_10k_nonsolid
{
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 10000
	q3map_lightimage textures/atcs/cubelight_32_white.blend.tga
	qer_editorimage textures/atcs/cubelight_32_white.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/atcs/cubelight_32_white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/atcs/cubelight_32_white.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// =============================================================
// Green screen textures
// =============================================================

// Plant room doors
textures/slimepunk/screen_door_proom_s
{
	qer_editorimage textures/slimepunk/screen_door_proom.tga
	q3map_lightRGB	0.25 1 0
        q3map_surfacelight 400


	{
		map textures/slimepunk/screen_door_proom.tga
	        rgbGen identity
	}
	{
		map textures/slimepunk/noise_green_256.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}

}

// Surface access door
textures/slimepunk/screen_door_surfac_s
{
	qer_editorimage textures/slimepunk/screen_door_surfac.tga
	q3map_lightRGB	0.25 1 0
        q3map_surfacelight 400


	{
		map textures/slimepunk/screen_door_surfac.tga
	        rgbGen identity
	}
	{
		map textures/slimepunk/noise_green_256.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}
}

// Boiler room doors
textures/slimepunk/screen_door_broom_s
{
	qer_editorimage textures/slimepunk/screen_door_broom.tga
	q3map_lightRGB	0.25 1 0
        q3map_surfacelight 400


	{
		map textures/slimepunk/screen_door_broom.tga
	        rgbGen identity
	}
	{
		map textures/slimepunk/noise_green_256.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}
}

// Biological research room doors
textures/slimepunk/screen_door_biorc_s
{
	qer_editorimage textures/slimepunk/screen_door_biorc.tga
	q3map_lightRGB	0.25 1 0
        q3map_surfacelight 400


	{
		map textures/slimepunk/screen_door_biorc.tga
	        rgbGen identity
	}
	{
		map textures/slimepunk/noise_green_256.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}
}


// Injection pump 1
textures/slimepunk/screen_pump1_s
{
	qer_editorimage textures/slimepunk/screen_pump1a.tga
	q3map_lightRGB	0.25 1 0
        q3map_surfacelight 400


	{
		animmap 0.3 textures/slimepunk/screen_pump1a.tga textures/slimepunk/screen_pump1b.tga
	        rgbGen identity
	}
	{
		map textures/slimepunk/noise_green_256.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 15 10
	}
}

// Injection pump 2
textures/slimepunk/screen_pump2_s
{
	qer_editorimage textures/slimepunk/screen_pump2a.tga
	q3map_lightRGB	0.25 1 0
        q3map_surfacelight 400


	{
		animmap 0.27 textures/slimepunk/screen_pump2a.tga textures/slimepunk/screen_pump2b.tga
	        rgbGen identity
	}
	{
		map textures/slimepunk/noise_green_256.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 15 10
	}
}

// ================================================================
// Boiler 1 control screen
// ================================================================

textures/slimepunk/screen-boiler1_s
{
	qer_editorimage textures/slimepunk/screen-boiler1a.jpg
	q3map_lightimage textures/slimepunk/screen-boiler1a.jpg
        q3map_surfacelight 400


	{
		animMap 0.3 textures/slimepunk/screen-boiler1a.jpg textures/slimepunk/screen-boiler1b.jpg
	        rgbGen identity
	}
	{
		map textures/slimepunk/noise_green_256.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}
	{
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

// ================================================================
// Boiler 2 control screen
// ================================================================

textures/slimepunk/screen-boiler2_s
{
	qer_editorimage textures/slimepunk/screen-boiler2a.jpg
	q3map_lightimage textures/slimepunk/screen-boiler2a.jpg
        q3map_surfacelight 400


	{
		animMap 0.28 textures/slimepunk/screen-boiler2a.jpg textures/slimepunk/screen-boiler2b.jpg
	        rgbGen identity
	}
	{
		map textures/slimepunk/noise_green_256.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}
	{
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

}

// ======================================================
// Warning stickers, pipe labels, etc.
// ======================================================

// Standard electric shock warning, "415VAC" legend
textures/slimepunk/warning_415vac_s
{
	qer_editorimage 	textures/slimepunk/warning-415VAC.tga
	surfaceparm 		noimpact
	surfaceparm 		nonsolid
	surfaceparm 		trans
	polygonoffset
	{
		map 		textures/slimepunk/warning-415VAC.tga
		blendfunc 	filter
	}
}

// "COMPRESSED AIR" pipe label
textures/slimepunk/label_compair_s
{
	qer_editorimage 	textures/slimepunk/label-compair.tga
	surfaceparm 		noimpact
	surfaceparm 		nonsolid
	surfaceparm 		trans
	polygonoffset
	{
		map 		textures/slimepunk/label-compair.tga
		blendfunc 	filter
	}
}

// "TANK WATER" pipe label
textures/slimepunk/label_tankwater_s
{
	qer_editorimage 	textures/slimepunk/label-tankwater.tga
	surfaceparm 		noimpact
	surfaceparm 		nonsolid
	surfaceparm 		trans
	polygonoffset
	{
		map 		textures/slimepunk/label-tankwater.tga
		blendfunc 	filter
	}
}

// "CAUSTIC" pipe label
textures/slimepunk/label_caustic_s
{
	qer_editorimage 	textures/slimepunk/label-caustic.tga
	surfaceparm 		noimpact
	surfaceparm 		nonsolid
	surfaceparm 		trans
	polygonoffset
	{
		map 		textures/slimepunk/label-caustic.tga
		blendfunc 	filter
	}
}

// "GAS" pipe label
textures/slimepunk/label_gas_s
{
	qer_editorimage 	textures/slimepunk/label-gas.tga
	surfaceparm 		noimpact
	surfaceparm 		nonsolid
	surfaceparm 		trans
	polygonoffset
	{
		map 		textures/slimepunk/label-gas.tga
		blendfunc 	filter
	}
}

// "STEAM" pipe label
textures/slimepunk/label_steam_s
{
	qer_editorimage 	textures/slimepunk/label-steam.tga
	surfaceparm 		noimpact
	surfaceparm 		nonsolid
	surfaceparm 		trans
	polygonoffset
	{
		map 		textures/slimepunk/label-steam.tga
		blendfunc 	filter
	}
}

// "HCl" pipe label
textures/slimepunk/label_HCl_s
{
	qer_editorimage 	textures/slimepunk/label-HCl.tga
	surfaceparm 		noimpact
	surfaceparm 		nonsolid
	surfaceparm 		trans
	polygonoffset
	{
		map 		textures/slimepunk/label-HCl.tga
		blendfunc 	filter
	}
}

// Flow arrow pipe label
textures/slimepunk/label_arrow1_s
{
	qer_editorimage 	textures/slimepunk/label-arrow1.tga
	surfaceparm 		noimpact
	surfaceparm 		nonsolid
	surfaceparm 		trans
	polygonoffset
	{
		map 		textures/slimepunk/label-arrow1.tga
		blendfunc 	filter
	}
}


// ======================================================
// Non-solid shaders (nuisance clipping and tiny details)
// ======================================================

textures/slimepunk/matgrey_drk1_nonsolid
{
	qer_editorimage		textures/tech1soc_mat/matgrey_drk1.tga
	surfaceparm 		nonsolid

	{
		map		textures/tech1soc_mat/matgrey_drk1.tga
		rgbGen		identity
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}

textures/slimepunk/matgrey_lgt1_nonsolid
{
	qer_editorimage		textures/tech1soc_mat/matgrey_lgt1.tga
	surfaceparm 		nonsolid

	{
		map		textures/tech1soc_mat/matgrey_lgt1.tga
		rgbGen		identity
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}

textures/slimepunk/matbrown_lgt1_nonsolid
{
	qer_editorimage		textures/tech1soc_mat/matbrown_lgt1.tga
	surfaceparm 		nonsolid

	{
		map		textures/tech1soc_mat/matbrown_lgt1.tga
		rgbGen		identity
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}

textures/slimepunk/matbrown_drk1_nonsolid
{
	qer_editorimage		textures/tech1soc_mat/matbrown_drk1.tga
	surfaceparm 		nonsolid

	{
		map		textures/tech1soc_mat/matbrown_drk1.tga
		rgbGen		identity
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}

textures/slimepunk/mat5c_nonsolid
{
	qer_editorimage		textures/tech1soc_mat/mat5c.tga
	surfaceparm 		nonsolid

	{
		map		textures/tech1soc_mat/mat5c.tga
		rgbGen		identity
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}

textures/slimepunk/ecel_des03bMTL_nonsolid
{
	qer_editorimage		textures/ecel/ecel_des03bMTL.tga
	surfaceparm 		nonsolid

	{
		map		textures/ecel/ecel_des03bMTL.tga
		rgbGen		identity
	}
	{
		map		$lightmap
		blendfunc	filter
	}
}

// =============================================
// Shaders for particle systems
// =============================================

// by jex
textures/slimepunk/slimedrip_s
{
	entityMergable
	cull none
	{
		map textures/slimepunk/slimedrip.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		identity
		alphaGen	vertex
	}
}

textures/slimepunk/steam_s
{
	entityMergable
	cull none
	{
		map textures/slimepunk/mist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		identity
		alphaGen	vertex
	}
}


// ydnar: skip works like quake 2 hint: it doesn't generate bsp splits
// use on sides of hint brushes where you don't want bsp splits or portals
// add this to your common.shader file

textures/slimepunk/hintskip
{
   qer_editorimage textures/common/skip.tga
   qer_nocarve
   qer_trans 0.30
   surfaceparm nodraw
   surfaceparm nonsolid
   surfaceparm structural
   surfaceparm trans
   surfaceparm noimpact
   surfaceparm skip
}

// by jex or timbo
textures/slimepunk/ladder
{
	qer_trans .75
	qer_editorimage textures/common/ladder.tga
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}


//by Evillair -c
textures/slimepunk/e6bsegrtflr256_s2
{
	qer_editorimage textures/evil6_floors/e6bsegrtflr256.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

	{
		map textures/evil6_floors/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/slimepunk/tfloor_rndholes_drty
{
	qer_editorimage textures/slimepunk/tfloor_rndholes_drty.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/slimepunk/tfloor_rndholes_drty.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

// by OverFlow
models/clothflap/clothflap_s
{
	cull disable
	nopicmip
	{
		map models/slimepunk/clothflap.tga
		rgbgen const ( .15 .15 .17 )
		depthWrite
		alphaFunc GE128
		//make fancy rite hurr
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}